package com.redxun.knowledge.analysis.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;


import com.redxun.knowledge.analysis.entity.dao.SearchParticipleLog;
import com.redxun.knowledge.analysis.service.SearchParticipleLogServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@Slf4j
@RestController
@RequestMapping("/api-knowledge/analysis/searchParticipleLog")
@Api(tags = "业务--搜索服务分词日志表")
@ClassDefine(title = "业务--搜索服务分词日志表", alias = "SearchParticipleLogController", path = "/api-knowledge/analysis/searchParticipleLog", packages = "analysis", packageName = "子系统名称")
public class SearchParticipleLogController extends BaseController<SearchParticipleLog> {

    @Autowired
    SearchParticipleLogServiceImpl searchParticipleLogService;


    @Override
    public BaseService getBaseService() {
        return searchParticipleLogService;
    }

    @Override
    public String getComment() {
        return "业务--搜索服务分词日志表";
    }

}

