package com.redxun.knowledge.analysis.mapper;


import com.redxun.knowledge.analysis.entity.vo.AlbumCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.CreateCountLabel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件名: AnalysisAlbumMapper
 * 作者: zizg
 * 时间: 2023/3/21
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface AnalysisAlbumMapper {

    /**
     * 获取全部一级分类id
     *
     * @return
     */
    List<String> selectCategory();

    /**
     * 获取全部专辑数据(根据分类id)
     *
     * @param categoryId
     * @param firstDay
     * @param lastDay
     * @return
     */
    Integer selectAlbumId(@Param("categoryId") String categoryId, @Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 获取全部知识数据(根据分类id)
     *
     * @param categoryId
     * @param firstDay
     * @param lastDay
     * @return
     */
    Integer selectKnowledge(@Param("categoryId") String categoryId, @Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 获取组织下创建专辑数量和访问数量
     *
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<AlbumCompanyVo> organizationAlbums(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 专辑创建总量
     *
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<CreateCountLabel> albumAmount(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("type") String type);

    String selectCategoryName(String categoryId);

    /**
     * 组织创建和访问专辑数量(新)
     *
     * @param firstDay
     * @param lastDay
     * @param organizationId
     * @return
     */
    AlbumCompanyVo organizationAlbum(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("organizationId") String organizationId);

    /**
     * 专辑创建总量(按月统计)
     *
     * @param firstDay
     * @param lastDay
     * @param type
     * @return
     */
    List<CreateCountLabel> albumAmountByMonth(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("type") String type);
}
