package com.redxun.knowledge.analysis.mapper;


import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.analysis.entity.dao.PvLog;
import com.redxun.knowledge.analysis.entity.vo.AlbumDetailVisitsVo;
import com.redxun.knowledge.analysis.entity.vo.SearchVisitHistogramVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


/**
 * 业务--系统页面访问量日志表数据库访问层
 */
@Mapper
public interface PvLogMapper extends BaseDao<PvLog> {

    /**
     * 专辑详情Top访问量（pv）统计
     *
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<AlbumDetailVisitsVo> albumDetailVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 获取搜索服务访问量分布柱状图数据，查看一次详情算一次PV
     *
     * @param firstOfYear
     * @param lastOfYear
     * @return
     */
    SearchVisitHistogramVo searchVisitHistogram(@Param("firstDay") String firstOfYear, @Param("lastDay") String lastOfYear);

    String findAllDeptIdByDeptId(String organizationId);

}
