package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.knowledge.entity.dao.ActionLog;
import com.redxun.knowledge.service.ActionLogServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 文件名: ActionLog
 * 作者: Zizg
 * 时间: 2023/1/10
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/actionLog")
@Api(tags = "业务--数量统计表")
@ClassDefine(title = "业务--数量统计表", alias = "ActionLog", path = "/api-knowledge/knowledge/actionLog", packages = "", packageName = "子系统名称")
public class ActionLogController extends BaseController<ActionLog> {

    @Autowired
    private ActionLogServiceImpl actionLogService;

    @Override
    public BaseService getBaseService() {
        return actionLogService;
    }

    @Override
    public String getComment() {
        return "业务--数量统计";
    }

    @GetMapping("/findAll")
    public JsonResult findAll() {
        JsonResult successResult = JsonResult.getSuccessResult("");
        List<ActionLog> actionLogList = actionLogService.findAll(null);
        return successResult.setData(actionLogList);
    }
}
